version: '3.8'
services:
  samba:
    container_name: samba
    restart: always
    build: build/.
    #network_mode: "host"
    expose:  
      - 445
      #- 139
    ports:
      - 445:445
      #- 139:139
    volumes:
      - /mnt/data:/HAL-DATA
      - ./.config/smb.conf:/etc/samba/smb.conf
      - ./logs:/var/log/samba